org.apache.hadoop.fs

## Class PathIsNotEmptyDirectoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.hadoop.fs.PathIOException
        - - org.apache.hadoop.fs.PathExistsException
          - - org.apache.hadoop.fs.PathIsNotEmptyDirectoryException

- All Implemented Interfaces:
    Serializable

      public class PathIsNotEmptyDirectoryException
      extends PathExistsException

  Generated by rm commands
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathIsNotEmptyDirectoryException(String path)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.fs.PathIOException

      `getMessage, getPath, getTargetPath, setOperation, setTargetPath, withFullyQualifiedPath`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PathIsNotEmptyDirectoryException

          public PathIsNotEmptyDirectoryException(String path)

      Parameters:
        `path` - for the exception

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.